Bug 225689 - CVE-2007-0456 Multiple Wireshark issues (CVE-2007-0457, CVE-2007-0458, CVE-2007-0459)
CVE-2007-0456 Multiple Wireshark issues (CVE-2007-0457, CVE-2007-0458, CVE-20...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wireshark (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
impact=low,source=vendorsec,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:17 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0066
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 12:35:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-01-31 13:17:55 EST
Wireshark 0.99.5 is set to be released in a few days, it fixes four flaws, all
of which will only result in a crash:

CVE-2007-0459
  The TCP dissector could hang or crash while reassembling HTTP packets.
  Fixed in: r19859
  Bug IDs: 1200
  Versions affected: 0.99.2 to 0.99.4

CVE-2007-0459
  The HTTP dissector could crash.
  Fixed in: r19899
  Bug IDs: None
  Versions affected: 0.99.3 to 0.99.4

CVE-2007-0457
  On some systems, the IEEE 802.11 dissector could crash.
  Fixed in: r20126
  Bug IDs: None
  Versions affected: 0.10.14 to 0.99.4

CVE-2007-0456
  On some systems, the LLT dissector could crash.
  Fixed in: r20007
  Bug IDs: None
  Versions affected: 0.99.3 to 0.99.4
Comment 1 Josh Bressers 2007-01-31 13:26:39 EST
These flaws also affect RHEL2.1 and RHEL3
Comment 2 Josh Bressers 2007-02-02 14:09:28 EST
This is now public
http://www.wireshark.org/security/wnpa-sec-2007-01.html
Comment 4 Red Hat Bugzilla 2007-03-14 12:35:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0066.html

Note You need to log in before you can comment on or make changes to this bug.